%define version 20021218
Name:				spinner-wiki
Summary:			A perl-based wiki engine
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				System Environment/Daemons
Source:				http://spinner-wiki.sourceforge.net/files/spinner-wiki-%{version}.tar.gz
Source1:			spinner-httpd.conf
Source2:			README.spinner-rpm.html
Patch0:				spinner-wiki-20021218-rhpath.patch
#Patch1:				goober-2.1-config.patch
#Prereq:				/sbin/chkconfig logrotate
Buildarch:			noarch
Vendor:				Bruce Dodson <bdodson@esricanada.com>
URL:				http://spinner-wiki.sourceforge.net/
BuildRoot:			/tmp/spinner-wiki-broot


%description
SpinnerWiki is a variant of DolphinWikiWeb, which itself is a
continuation of JOS Wiki.  Spinner is a perl-based engine that provides
a Wiki environment inside a web server, i.e., it allows users to update
pages on that web server with or without authentication, as you choose.


%changelog
* Mon Jan 27 2002 William Stearns <wstearns@pobox.com>
- First release from 20021218 source


%prep
%setup -c
#%setup -n goober
#%setup -q -a 1
%patch0 -p1
#%patch0 -p1 -b .make
#%patch1 -p1 -b .config


#%build
#make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/spinner-wiki-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/etc/httpd/conf
	install -d $RPM_BUILD_ROOT/var/wiki
	install -d $RPM_BUILD_ROOT/var/wiki/text
	install -d $RPM_BUILD_ROOT/var/wiki/text/RCS
	install -d $RPM_BUILD_ROOT/var/wiki/templates
	install -d $RPM_BUILD_ROOT/var/wiki/html
	install -d $RPM_BUILD_ROOT/var/wiki/cgi-bin
	install -d $RPM_BUILD_ROOT/var/wiki/html/images
	install -d $RPM_BUILD_ROOT/var/wiki/html/files

	cp -a cgi-bin/ $RPM_BUILD_ROOT/var/wiki/cgi-bin/..
	cp -a htdocs/* $RPM_BUILD_ROOT/var/wiki/html/
	cp -a html $RPM_BUILD_ROOT/var/wiki/html/..
	cp -a templates $RPM_BUILD_ROOT/var/wiki/templates/..
	cp -a text $RPM_BUILD_ROOT/var/wiki/text/..

	#install -d $RPM_BUILD_ROOT/etc
	#install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	#install -d $RPM_BUILD_ROOT/sbin
	#install -d $RPM_BUILD_ROOT/usr/man/man8
	#make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/goober.conf install
	#cp -p goober.8 $RPM_BUILD_ROOT/usr/man/man8
	cp -p $RPM_SOURCE_DIR/spinner-httpd.conf $RPM_BUILD_ROOT/etc/httpd/conf/
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/spinner-wiki-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
				%doc	COPYING $RPM_SOURCE_DIR/README.spinner-rpm.html text/*

%attr(644,root,root)			/etc/httpd/conf/spinner-httpd.conf

%attr(775,root,root)		%dir	/var/wiki/cgi-bin
%attr(644,root,root)			/var/wiki/cgi-bin/.htaccess
%attr(665,root,root)			/var/wiki/cgi-bin/changes.pl
%attr(665,root,root)			/var/wiki/cgi-bin/edit.pl
%attr(665,root,root)			/var/wiki/cgi-bin/editlast.pl
%attr(665,root,root)			/var/wiki/cgi-bin/index.pl
%attr(664,root,root)			/var/wiki/cgi-bin/intermap.txt
%attr(665,root,root)			/var/wiki/cgi-bin/preview.pl
%attr(665,root,root)			/var/wiki/cgi-bin/save.pl
%attr(665,root,root)			/var/wiki/cgi-bin/search.pl
%attr(665,root,root)			/var/wiki/cgi-bin/upload.pl
%attr(665,root,root)			/var/wiki/cgi-bin/view.pl
%attr(664,root,root)		%config	/var/wiki/cgi-bin/wiki.cfg
%attr(664,root,root)			/var/wiki/cgi-bin/wiki.pm

%attr(775,root,root)		%dir	/var/wiki/cgi-bin/admin
%attr(644,root,root)			/var/wiki/cgi-bin/admin/.htaccess
%attr(664,root,root)			/var/wiki/cgi-bin/admin/delete.pl
%attr(775,root,root)			/var/wiki/cgi-bin/admin/fixperms.pl
					/var/wiki/cgi-bin/admin/intermap.txt
%attr(664,root,root)			/var/wiki/cgi-bin/admin/publish.pl
					/var/wiki/cgi-bin/admin/wiki.cfg
					/var/wiki/cgi-bin/admin/wiki.pm


%attr(775,apache,apache)	%dir	/var/wiki/html
%attr(775,apache,apache)	%dir	/var/wiki/html/files
%attr(644,root,root)			/var/wiki/html/files/.placeholder

%attr(755,root,root)		%dir	/var/wiki/html/images
%attr(644,root,root)			/var/wiki/html/images/.htaccess
%attr(644,root,root)			/var/wiki/html/images/PaletteSmall.jpg
%attr(644,root,root)			/var/wiki/html/images/interwiki.gif
%attr(644,root,root)			/var/wiki/html/images/notext.gif
%attr(644,root,root)			/var/wiki/html/images/notext2.gif
%attr(644,root,root)			/var/wiki/html/images/notext3.gif
%attr(644,root,root)			/var/wiki/html/images/search.gif
%attr(644,root,root)			/var/wiki/html/images/spacer.gif
%attr(644,root,root)			/var/wiki/html/images/spinnerdolphin.jpg

%attr(644,root,root)			/var/wiki/html/.placeholder

%attr(755,root,root)		%dir	/var/wiki/templates
%attr(644,root,root)			/var/wiki/templates/abort.htm
%attr(644,root,root)			/var/wiki/templates/changes.htm
%attr(644,root,root)			/var/wiki/templates/edit.htm
%attr(644,root,root)			/var/wiki/templates/editlast.htm
%attr(644,root,root)			/var/wiki/templates/index.htm
%attr(644,root,root)			/var/wiki/templates/message.htm
%attr(644,root,root)			/var/wiki/templates/notext.txt
%attr(644,root,root)			/var/wiki/templates/search.htm
%attr(644,root,root)			/var/wiki/templates/upload.htm
%attr(644,root,root)			/var/wiki/templates/view.htm

%attr(775,apache,apache)	%dir	/var/wiki/text
%attr(664,apache,apache)		/var/wiki/text/Category.txt
%attr(664,apache,apache)		/var/wiki/text/Discussions.txt
%attr(664,apache,apache)		/var/wiki/text/DolphinWikiWeb.txt
%attr(664,apache,apache)		/var/wiki/text/FAQ.txt
%attr(664,apache,apache)		/var/wiki/text/FrontPage.txt
%attr(664,apache,apache)		/var/wiki/text/GettingStartedWithWiki.txt
%attr(664,apache,apache)		/var/wiki/text/GoodStyle.txt
%attr(664,apache,apache)		/var/wiki/text/InstallingSpinnerWiki.txt
%attr(664,apache,apache)		/var/wiki/text/InterWikiLinks.txt
%attr(664,apache,apache)		/var/wiki/text/People.txt
%attr(664,apache,apache)		/var/wiki/text/SignYourName.txt
%attr(664,apache,apache)		/var/wiki/text/SpinnerWiki.txt
%attr(664,apache,apache)		/var/wiki/text/SpinnerWikiFileUpload.txt
%attr(664,apache,apache)		/var/wiki/text/Unclassified.txt
%attr(664,apache,apache)		/var/wiki/text/WikiBeginnersTopics.txt
%attr(664,apache,apache)		/var/wiki/text/WikiName.txt
%attr(664,apache,apache)		/var/wiki/text/WikiPlayground.txt
%attr(664,apache,apache)		/var/wiki/text/WikiReference.txt
%attr(664,apache,apache)		/var/wiki/text/WikiReferences.txt
%attr(664,apache,apache)		/var/wiki/text/WikiSandbox.txt
%attr(664,apache,apache)		/var/wiki/text/WikiSearch.txt
%attr(664,apache,apache)		/var/wiki/text/WikiSimpleTest.txt
%attr(664,apache,apache)		/var/wiki/text/WikiStructure.txt
%attr(664,apache,apache)		/var/wiki/text/WikiTextFormattingRules.txt
%attr(664,apache,apache)		/var/wiki/text/WikiWeb.txt
%attr(664,apache,apache)		/var/wiki/text/WikiWebBrowsing.txt

%attr(775,apache,apache)	%dir	/var/wiki/text/RCS



#%attr(644,root,root)		%config	/etc/goober.conf
#%attr(755,root,root)			/etc/rc.d/init.d/goober
#%attr(755,root,root)			/sbin/goober
#%attr(644,root,root)			/usr/man/man8/goober.8
#				%doc	faq/* README ChangeLog QUICKSTART doc/*
#				%doc	contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
#%attr(750,nobody,nobody)	%dir	/var/log/goober
#%attr(750,nobody,nobody)	%dir	/var/spool/goober



#%pre
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#	#pre - $1=1 - first install
#else				#This is an upgrade
#	#pre - $1=2 - upgrade (techically, $1>1)
#fi
#
#

%post
if [ "$1" = "1" ]; then		#This package is being installed for the first time
	echo Please remember to add the lines in /etc/httpd/conf/spinner-httpd.conf
	echo to /etc/httpd/conf/httpd.conf and to add your web server name to dns or hosts
fi
#	/sbin/chkconfig --add goober
#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsd | wc -l` -eq 0 ]; then	#If no references to devfs yet
#			#Add the following lines just after #!/bin/sh or #!/bin/bash.
#			cat /etc/rc.d/rc.sysinit | sed -e 's@\(#!/bin/.*sh\)@\1\
#if [ -c /dev/.devfsd ]; then				#devfsdinstall\
#	if ! ps axf | grep [d]evfsd >/dev/null ; then	#devfsdinstall\
#		#devfs not running yet			#devfsdinstall\
#		/sbin/devfsd /dev			#devfsdinstall\
#	fi						#devfsdinstall\
#fi							#devfsdinstall\
#@' >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	else
#		echo You don\'t have an /etc/rc.d/rc.sysinit - you will need to add
#		echo 'if [ -c /dev/.devfsd ]; then'
#		echo '	if ! ps axf | grep [d]evfsd >/dev/null ; then'
#		echo '		/sbin/devfsd /dev'
#		echo '	fi'
#		echo 'fi'
#		echo to your initialization scripts, before any filesystem checking is done.
#	fi
#fi
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#	#post - $1=1 - first install
#else				#This is an upgrade
#	#post - $1=2 - upgrade (techically, $1>1)
#fi
#/usr/bin/at 04:00 <<EOTEXT
#/sbin/shutdown -r now
#EOTEXT
#
#
#%preun
#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#	#preun - $1=0 - final erasure
#	/sbin/chkconfig --del goober
#else				#This is an upgrade
#	#preun - $1=1 - upgrade (techically, $1>0)
#fi
#
#
%postun
if [ "$1" = "0" ]; then		#Final removal, not upgrade.
	echo Please remember to remove the lines in /etc/httpd/conf/spinner-httpd.conf
	echo from /etc/httpd/conf/httpd.conf and to remove your web server name from dns or hosts
fi


#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsdinstall | wc -l` -gt 0 ]; then
#			cat /etc/rc.d/rc.sysinit | grep -v devfsdinstall >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	fi
#fi
#
#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#	#postun - $1=0 - final erasure
#else				#This is an upgrade
#	#postun - $1=1 - upgrade (techically, $1>0)
#fi
#		
##Here are the scripts run at first install, in this order:
##pre - 1 - first install
##post - 1 - first install
#
##Here are the scripts run during an upgrade, in this order:
##pre - 2 - upgrade
##post - 2 - upgrade
##preun - 1 - upgrade
##postun - 1 - upgrade
#
##Here are the scripts run at final erase, in this order:
##preun - 0 - final erasure
##postun - 0 - final erasure




